package org.kozyrev.gui;

import org.kozyrev.gui.util.GlobalState;
import org.kozyrev.gui.util.GlobalStateManager;

public class MainStateManager extends GlobalStateManager {

    public static final GlobalState STATE_BEFORE_PROFILING = new GlobalState();

    public static final GlobalState STATE_AFTER_PROFILING = new GlobalState();

    public static final GlobalState STATE_PROFILING = new GlobalState();

    public MainStateManager() {
        this.addState(STATE_AFTER_PROFILING);
        this.addState(STATE_BEFORE_PROFILING);
        this.addState(STATE_PROFILING);
    }

}
