package org.kozyrev.model;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class ThreadRecord {
    private ArrayList<FrameRecord> myFrames = new ArrayList<FrameRecord>();
    private String myId;
    
    public ThreadRecord() {
        
    }
    
    public ThreadRecord(String id) {
        myId = id;    
    }
    
    public List<FrameRecord> getFrames() {
        return Collections.unmodifiableList(myFrames);        
    }
    
    public void addFrame(FrameRecord frame) {
        myFrames.add(frame);
    }
    
    public String getID() {
        return myId;
    }
    

}
