package org.kozyrev.model;

import java.util.List;

public class ProfileModel {

    private final List<ClassRecord> myClasses;
    private final List<ThreadRecord> myThreads;
    
    public ProfileModel(List<ClassRecord> classes, List<ThreadRecord> threads) {
        myClasses = classes;
        myThreads = threads;
    }
    
    public List<ClassRecord> getClasses() {
        return myClasses;
    }
    
    public List<ThreadRecord> getThreads() {
        return myThreads;
    }
}
